Get current hook flags

- « Swoole\Runtime::enableCoroutine

- Swoole\Runtime::setHookFlags »

- PHP Manual
- Swoole\Runtime
- Get current hook flags

# Swoole\Runtime::getHookFlags

(No version information available, might only be in Git)

Swoole\Runtime::getHookFlags — Get current hook flags

### Description

public static Swoole\Runtime::getHookFlags(): int

Gets the current hook flags. Note that the returned flags might differ from what was set if some hooks failed.

### Parameters

This function has no parameters.

### Return Values

Returns the current hook flags as a bitmask.